//
// Created by jholder on 10/25/21.
//
#pragma once
#include <Eigen/Dense>
inline static Eigen::Vector2d ortho(Eigen::Vector2d e) {
    return Eigen::Vector2d{-e[1], e[0]};
}
inline static Eigen::Matrix2d rotation_Matrix(Eigen::Vector2d e) {
    Eigen::Matrix2d mat;
    mat << e[0], -e[1], e[1], e[0];
    return mat;
}
